from os import listdir
from os.path import isfile, join, exists
import sys
import import_xml_file

#get a list of xml files in the given directory:
directory = sys.argv[1]
print (directory)
files = []
preexisting_count = 0

for filename in listdir(directory):
        if not filename.endswith('.xml'): continue
        if exists(filename+'.log'):
                preexisting_count = preexisting_count +1
                continue
        fullname = join(directory, filename)
        files.append(filename)

print ('files found: ', len(files))
print ('preexisting: ', preexisting_count)

#process each file:
current = 1
problems = []
for f in files:
        print('proccesing {} of {}: {}'.format(current, len(files), f))

        result = import_xml_file.parseFile(directory+'/'+f, f+".log")
        if result != 0:
                problems.append(f)
                                 
        current = current + 1
        
print('{} problems found:'.format(len(problems)))
print(problems)
